package com.fs.course.config;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalTime;
import java.util.List;

@Data
public class CourseConfig implements Serializable {
    private Integer answerRate; //可答题百分比
    private Integer answerErrorCount; //允许错误次数
    private Integer videoLinkExpireDate; //课程小节短链过期时间
    private Integer maxBufferLength;//最大缓冲时长
    private Integer videoIntegral;//每十分钟获取多少积分
    private Integer answerIntegral;//答题获得积分
    private Integer defaultLine;//默认看课线路
    private String realLinkDomainName;//真链域名
    private String authDomainName;//网页授权域名
    private String mpAppId;//看课公众号APPID
    private String registerDomainName;//注册域名
    private String courseDomainName;//链接域名
    private Integer rewardType; // 奖励类型 1红包 2积分
    private Integer redPacketMode;//红包模式 1总公司 2销售公司
    private BigDecimal moneyPri;//充值手续费百分比
    private BigDecimal redPackageMoney;//充值手续费百分比
    private List<DisabledTimeVo> disabledTimeList;//充值手续费百分比
    private String companyUserQRCode;// 默认客服二维码图片
    private String courseLogo;//课程Logo
    private Integer openCommentStatus; //开启评论/弹幕
    private Integer viewCommentNum; // 查看历史评论数量

    @Data
    public static class DisabledTimeVo{
        @JsonFormat(pattern = "HH:mm")
        private LocalTime startDisabledTime;
        @JsonFormat(pattern = "HH:mm")
        private LocalTime endDisabledTime;
    }

}
