package com.fs.course.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 短链课程看课记录对象 fs_course_red_packet_log
 *
 * @author fs
 * @date 2024-10-24
 */
@Data
public class FsCourseRedPacketLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 日志Id */
    private Long logId;

    private String outBatchNo;//商家批次单号

    private String transferBillNo;//微信批次单号

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 小节id */
    @Excel(name = "小节id")
    private Long videoId;

    /** 公司员工id */
    @Excel(name = "公司员工id")
    private Long companyUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 转帐金额 */
    @Excel(name = "转帐金额")
    private BigDecimal amount;

    /** 分享企微userid */
    @Excel(name = "分享企微userid")
    private String qwUserId;

    private Integer status;//状态 0 发送中  1  已发送


    private Long watchLogId;//观看记录 id

    /** 营期id */
    private Long periodId;

    private String result;

}
