package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 看课评论对象 fs_course_watch_comment
 *
 * @author fs
 * @date 2025-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsCourseWatchComment extends BaseEntity{

    /** 评论id */
    private Long commentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户类型，1-管理员，2-用户 */
    @Excel(name = "用户类型，1-管理员，2-用户")
    private Integer userType;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

    /** 评论类型 1：评论，2：回复 */
    @Excel(name = "评论类型 1：评论，2：回复")
    private Integer type;

    /** 父评论id */
    @Excel(name = "父评论id")
    private Long parentId;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String content;

    /** 是否是撤回的消息，1-是，0-否 */
    @Excel(name = "是否是撤回的消息，1-是，0-否")
    private Integer isRevoke;

    @Excel(name = "时间点，记录发送消息的视频播放时间点")
    private Integer time;

    @ApiModelProperty(value = "字体大小")
    @Excel(name = "字体大小")
    private String fontSize;

    @ApiModelProperty(value = "展示模式")
    @Excel(name = "展示模式")
    private String mode;

    @ApiModelProperty(value = "字体颜色")
    @Excel(name = "字体颜色")
    private String color;

}
