package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 会员训练营对象 fs_user_course_training_camp
 *
 * @author fs
 * @date 2025-04-15
 */
@Data
@TableName("fs_user_course_training_camp")
public class FsUserCourseTrainingCamp
{

    /** id */
    @TableId(type = IdType.AUTO)
    private Long trainingCampId;

    /** 训练营名称 */
    @Excel(name = "训练营名称")
    private String trainingCampName;

    /** 序号 */
    @Excel(name = "序号")
    private Long orderNumber;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间")
    private LocalDateTime createTime;

    private Long userId;
}
