package com.fs.course.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 会员看课统计-按课程统计对象 fs_user_watch_course_statistics
 *
 * @author fs
 * @date 2025-06-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserWatchCourseStatistics extends BaseEntity{

    /** 主键id */
    private Long id;

    /** 营期id */
//    @Excel(name = "营期id")
    private Long periodId;

    /** 营期名称 */
    @Excel(name = "营期名称")
    private String periodName;

    /** 营期开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营期日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date periodStartingTime;

    /** 课程开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "播出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date courseStartDateTime;

    /** 课程id */
//    @Excel(name = "课程id")
    private Long courseId;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 视频id */
//    @Excel(name = "视频id")
    private Long videoId;

    /** 视频标题 */
    @Excel(name = "视频小节")
    private String videoTitle;

    /** 销售公司id */
//    @Excel(name = "销售公司id")
    private Long companyId;

    /** 销售公司名称 */
    @Excel(name = "销售公司")
    private String companyName;

    /** 销售id */
//    @Excel(name = "销售id")
    private Long companyUserId;

    /** 销售名称 */
    @Excel(name = "所属销售")
    private String companyUserName;

    /** 新增会员数量 */
    @Excel(name = "新增会员")
    private Integer newUserNum;

    /** 会员数量 */
    @Excel(name = "会员数量")
    private Integer userNum;

    /** 观看人数 */
    @Excel(name = "观看人数")
    private Integer watchNum;

    /** 完播人数 */
    @Excel(name = "完播人数")
    private Integer completeWatchNum;

    /** 完播率 */
    @Excel(name = "完播率")
    private BigDecimal completeWatchRate;

    /** 答题人数 */
    @Excel(name = "答题人数")
    private Integer answerNum;

    /** 答题正确人数 */
    @Excel(name = "正确人数")
    private Integer answerRightNum;

    /** 答题正确率 */
    @Excel(name = "正确率")
    private BigDecimal answerRightRate;

    /** 红包领取数量 */
    @Excel(name = "红包领取个数")
    private Integer redPacketNum;

    /** 红包领取总额 */
    @Excel(name = "红包领取总额")
    private BigDecimal redPacketAmount;

    /** 用户的创建日期 */
    private Date userCreateDate;


}
