package com.fs.course.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 会员看课统计-按营期统计对象 fs_user_watch_statistics
 *
 * @author fs
 * @date 2025-06-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserWatchStatistics extends BaseEntity{

    /** 主键id */
    private Long id;

    /** 营期id */
//    @Excel(name = "营期id")
    private Long periodId;

    /** 营期名称 */
    @Excel(name = "营期名称")
    private String periodName;

    /** 营期开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营期开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date periodStartingTime;

    /** 新增会员数量 */
    @Excel(name = "新增会员数量")
    private Integer newUserNum;

    /** 会员数量 */
    @Excel(name = "会员数量")
    private Integer userNum;

    /** 观看人数 */
    @Excel(name = "观看人数")
    private Integer watchNum;

    /** 完播人数 */
    @Excel(name = "完播人数")
    private Integer completeWatchNum;

    /** 完播率 */
    @Excel(name = "完播率")
    private BigDecimal completeWatchRate;


}
