package com.fs.course.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.course.domain.FsUserCourseComplaintRecord;
import com.fs.course.vo.FsUserCourseComplaintRecordPageListVO;

import java.util.List;

/**
 * 看课投诉记录Mapper接口
 *
 * @author fs
 * @date 2025-06-04
 */
public interface FsUserCourseComplaintRecordMapper extends BaseMapper<FsUserCourseComplaintRecord>{
    /**
     * 查询看课投诉记录
     *
     * @param recordId 看课投诉记录主键
     * @return 看课投诉记录
     */
    FsUserCourseComplaintRecord selectFsUserCourseComplaintRecordByRecordId(Long recordId);

    /**
     * 查询看课投诉记录列表
     *
     * @param fsUserCourseComplaintRecord 看课投诉记录
     * @return 看课投诉记录集合
     */
    List<FsUserCourseComplaintRecord> selectFsUserCourseComplaintRecordList(FsUserCourseComplaintRecord fsUserCourseComplaintRecord);

    /**
     * 查询看课分页列表
     * @param fsUserCourseComplaintRecord 记录
     * @return list
     */
    List<FsUserCourseComplaintRecordPageListVO> selectFsUserCourseComplaintRecordPageList(FsUserCourseComplaintRecord fsUserCourseComplaintRecord);

    /**
     * 新增看课投诉记录
     *
     * @param fsUserCourseComplaintRecord 看课投诉记录
     * @return 结果
     */
    int insertFsUserCourseComplaintRecord(FsUserCourseComplaintRecord fsUserCourseComplaintRecord);

    /**
     * 修改看课投诉记录
     *
     * @param fsUserCourseComplaintRecord 看课投诉记录
     * @return 结果
     */
    int updateFsUserCourseComplaintRecord(FsUserCourseComplaintRecord fsUserCourseComplaintRecord);

    /**
     * 删除看课投诉记录
     *
     * @param recordId 看课投诉记录主键
     * @return 结果
     */
    int deleteFsUserCourseComplaintRecordByRecordId(Long recordId);

    /**
     * 批量删除看课投诉记录
     *
     * @param recordIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsUserCourseComplaintRecordByRecordIds(Long[] recordIds);
}
