package com.fs.course.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.course.domain.FsUserCourseComplaintType;

import java.util.List;

/**
 * 看课投诉类型Mapper接口
 *
 * @author fs
 * @date 2025-06-04
 */
public interface FsUserCourseComplaintTypeMapper extends BaseMapper<FsUserCourseComplaintType>{
    /**
     * 查询看课投诉类型
     *
     * @param complaintTypeId 看课投诉类型主键
     * @return 看课投诉类型
     */
    FsUserCourseComplaintType selectFsUserCourseComplaintTypeByComplaintTypeId(Long complaintTypeId);

    /**
     * 查询看课投诉类型列表
     *
     * @param fsUserCourseComplaintType 看课投诉类型
     * @return 看课投诉类型集合
     */
    List<FsUserCourseComplaintType> selectFsUserCourseComplaintTypeList(FsUserCourseComplaintType fsUserCourseComplaintType);

    /**
     * 新增看课投诉类型
     *
     * @param fsUserCourseComplaintType 看课投诉类型
     * @return 结果
     */
    int insertFsUserCourseComplaintType(FsUserCourseComplaintType fsUserCourseComplaintType);

    /**
     * 修改看课投诉类型
     *
     * @param fsUserCourseComplaintType 看课投诉类型
     * @return 结果
     */
    int updateFsUserCourseComplaintType(FsUserCourseComplaintType fsUserCourseComplaintType);

    /**
     * 删除看课投诉类型
     *
     * @param complaintTypeId 看课投诉类型主键
     * @return 结果
     */
    int deleteFsUserCourseComplaintTypeByComplaintTypeId(Long complaintTypeId);

    /**
     * 批量删除看课投诉类型
     *
     * @param complaintTypeIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsUserCourseComplaintTypeByComplaintTypeIds(Long[] complaintTypeIds);
}
