package com.fs.course.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.course.domain.FsUserCourseCompanyUserTime;

/**
 * 营期课程-销售课程时间Service接口
 * 
 * @author fs
 * @date 2025-06-09
 */
public interface IFsUserCourseCompanyUserTimeService extends IService<FsUserCourseCompanyUserTime>{
    /**
     * 查询营期课程-销售课程时间
     * 
     * @param id 营期课程-销售课程时间主键
     * @return 营期课程-销售课程时间
     */
    FsUserCourseCompanyUserTime selectFsUserCourseCompanyUserTimeById(Long id);

    /**
     * 查询营期课程-销售课程时间列表
     * 
     * @param fsUserCourseCompanyUserTime 营期课程-销售课程时间
     * @return 营期课程-销售课程时间集合
     */
    List<FsUserCourseCompanyUserTime> selectFsUserCourseCompanyUserTimeList(FsUserCourseCompanyUserTime fsUserCourseCompanyUserTime);

    /**
     * 新增营期课程-销售课程时间
     * 
     * @param fsUserCourseCompanyUserTime 营期课程-销售课程时间
     * @return 结果
     */
    int insertFsUserCourseCompanyUserTime(FsUserCourseCompanyUserTime fsUserCourseCompanyUserTime);

    /**
     * 修改营期课程-销售课程时间
     * 
     * @param fsUserCourseCompanyUserTime 营期课程-销售课程时间
     * @return 结果
     */
    int updateFsUserCourseCompanyUserTime(FsUserCourseCompanyUserTime fsUserCourseCompanyUserTime);

    /**
     * 批量删除营期课程-销售课程时间
     * 
     * @param ids 需要删除的营期课程-销售课程时间主键集合
     * @return 结果
     */
    int deleteFsUserCourseCompanyUserTimeByIds(Long[] ids);

    /**
     * 删除营期课程-销售课程时间信息
     * 
     * @param id 营期课程-销售课程时间主键
     * @return 结果
     */
    int deleteFsUserCourseCompanyUserTimeById(Long id);
}
