package com.fs.course.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.course.domain.FsUserWatchStatistics;

/**
 * 会员看课统计-按营期统计Service接口
 *
 * @author fs
 * @date 2025-06-16
 */
public interface IFsUserWatchStatisticsService extends IService<FsUserWatchStatistics>{
    /**
     * 查询会员看课统计-按营期统计
     *
     * @param id 会员看课统计-按营期统计主键
     * @return 会员看课统计-按营期统计
     */
    FsUserWatchStatistics selectFsUserWatchStatisticsById(Long id);

    /**
     * 查询会员看课统计-按营期统计列表
     *
     * @param fsUserWatchStatistics 会员看课统计-按营期统计
     * @return 会员看课统计-按营期统计集合
     */
    List<FsUserWatchStatistics> selectFsUserWatchStatisticsList(FsUserWatchStatistics fsUserWatchStatistics);

    /**
     * 新增会员看课统计-按营期统计
     *
     * @param fsUserWatchStatistics 会员看课统计-按营期统计
     * @return 结果
     */
    int insertFsUserWatchStatistics(FsUserWatchStatistics fsUserWatchStatistics);

    /**
     * 修改会员看课统计-按营期统计
     *
     * @param fsUserWatchStatistics 会员看课统计-按营期统计
     * @return 结果
     */
    int updateFsUserWatchStatistics(FsUserWatchStatistics fsUserWatchStatistics);

    /**
     * 批量删除会员看课统计-按营期统计
     *
     * @param ids 需要删除的会员看课统计-按营期统计主键集合
     * @return 结果
     */
    int deleteFsUserWatchStatisticsByIds(Long[] ids);

    /**
     * 删除会员看课统计-按营期统计信息
     *
     * @param id 会员看课统计-按营期统计主键
     * @return 结果
     */
    int deleteFsUserWatchStatisticsById(Long id);

    /**
     * 新增按营期统计会员看课表数据
     */
    void insertStatistics();
}
