package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 短链课程看课记录对象 fs_course_red_packet_log
 *
 * @author fs
 * @date 2024-10-24
 */
@Data
public class FsCourseRedPacketLogListPVO extends BaseEntity {
    private static final long serialVersionUID = 1L;
    @Excel(name = "记录编号", sort = 1,width = 10)
    private Long logId;

    //    @Excel(name = "会员id")
    private Long userId;

    /**
     * 会员电话
     **/
    @Excel(name = "会员电话", sort = 6,width = 25)
    private Long phoneNumber;

    private String fsNickName;

    private String fsAvatar;

    @Excel(name = "课程名称", sort = 3,width = 20)
    private String courseName;

    private String videoName;

    //    @Excel(name = "记录类型" ,dictType = "sys_course_watch_log_type")
    private Integer logType;

    //    @Excel(name = "企微外部联系人id")
    private String qwExternalContactId;


    //    @Excel(name = "播放时长")
    private String duration;


    //    @Excel(name = "分享人企微userId")
    private String qwUserId;
    /**
     * 企业微信员工名称
     */
    @Excel(name = "企业微信员工名称", sort = 11,width = 10)
    private String qwUserName;

    @Excel(name = "所属销售", sort = 7,width = 10)
    private String companyUserName;

    @Excel(name = "所属公司", sort = 8,width = 20)
    private String companyName;


    //    @Excel(name = "发送方式")
    private Integer sendType; //归属发送方式：1 个微  2 企微


    /**
     * 创建时间
     */
    @Excel(name = "创建时间", sort = 12, dateFormat = "yyyy-MM-dd HH:mm:ss",width = 20)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "批次编号", sort = 2,width = 30)
    private String outBatchNo;

    //    @Excel(name = "课程id")
    private String courseId;
    //    @Excel(name = "课程id")
    private String videoId;

    @Excel(name = "小节名称", sort = 4,width = 50)
    private String title;

    //    @Excel(name = "电话")
    private String phone;
    /**
     * 转帐金额
     */
    @Excel(name = "转帐金额", sort = 9,width = 20)
    private BigDecimal amount;

    @Excel(name = "状态", dictType = "sys_course_red_packet_status", sort = 10,width = 10)
    private Integer status;//状态 0 发送中  1  已发送

}
