package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserWatchCourseStatisticsExportVO extends BaseEntity{

    /** 主键id */
    private Long id;

    /** 营期id */
//    @Excel(name = "营期id")
    private Long periodId;

    /** 营期名称 */
    @Excel(name = "营期名称")
    private String periodName;

    /** 营期开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营期日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date periodStartingTime;

    /** 课程开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "播出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date courseStartDateTime;

    /** 课程id */
//    @Excel(name = "课程id")
    private Long courseId;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 视频id */
//    @Excel(name = "视频id")
    private Long videoId;

    /** 视频标题 */
    @Excel(name = "视频小节")
    private String videoTitle;

    /** 销售公司id */
//    @Excel(name = "销售公司id")
    private Long companyId;

    /** 销售公司名称 */
    @Excel(name = "销售公司")
    private String companyName;

    /** 销售id */
//    @Excel(name = "销售id")
    private Long companyUserId;

    /** 销售名称 */
    @Excel(name = "所属销售")
    private String companyUserName;

    /** 新增会员数量 */
    @Excel(name = "新增会员")
    private Integer newUserNum;

    /** 会员数量 */
    @Excel(name = "会员数量")
    private Integer userNum;

    /** 观看人数 */
    @Excel(name = "观看人数")
    private Integer watchNum;

    /** 完播人数 */
    @Excel(name = "完播人数")
    private Integer completeWatchNum;

    /** 完播率 */
    @Excel(name = "完播率")
    private BigDecimal completeWatchRate;

    /** 红包领取数量 */
    @Excel(name = "红包领取个数")
    private Integer redPacketNum;

}
