package com.fs.crm.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.param.BaseQueryParam;
import lombok.Data;

import java.util.Date;

@Data
public class CrmCustomerListQueryParam extends BaseQueryParam
{

    Long companyId;

    Long companyUserId;

    private Long customerId;

    @Excel(name = "客户编号")
    private String customerCode;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String customerName;

    /** 手机 */
    @Excel(name = "手机")
    private String mobile;

    /** 性别 */
    @Excel(name = "性别",readConverterExp = "1=男,2=女")
    private Integer sex;
    @Excel(name = "微信")
    private String weixin;

    /** 关联用户ID */
    private Long userId;

    /** 认领ID */

    private Long customerUserId;

    /** 省市区 */
    @Excel(name = "省市区")
    private String address;

    /** 定位信息 */
    private String location;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 地理位置经度 */
    private String lng;

    /** 地理位置维度 */
    private String lat;

    /** 客户状态  0锁定 1 正常 */
    private String status;

    /** 1 已认领 0未认领 */
    private Long isReceive;

    /** 所属部门ID */
    private Long deptId;

    /** 是否删除 */
    private Integer isDel;

    /** 客户类型 */
    private String customerType;

    private Integer isLine;

    /** 最后一次跟进时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "客户来源",dictType = "crm_customer_source")
    private String source;
    @Excel(name = "标签" )
    private String tags;

    private String companyUserNickName;

    private String visitStatus;

    private Integer isBuy;

    private Integer isHisOrder;//是否有历史订单

    private String receiveTimeRange;

    private String[] receiveTimeList;

    /**
     * 客户级别
     */
    private Long customerLevel;

}
