package com.fs.crm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.crm.domain.CrmCustomerLevel;
import com.fs.crm.param.CrmCustomerLevelParm;
import com.fs.crm.param.CrmCustomerLevelQueryParam;
import com.fs.crm.vo.CrmCustomerLevelVO;

import java.util.List;

public interface ICrmCustomerLevelService extends IService<CrmCustomerLevel> {

    /**
     * 查询客户级别列表
     * @param param 参数
     * @return  list
     */
    List<CrmCustomerLevelVO> selectCrmCustomerLevelVOList(CrmCustomerLevelQueryParam param);

    /**
     * 新增客户级别
     * @param param 参数
     * @return 受影响行数
     */
    int saveCustomerLevel(CrmCustomerLevelParm param);

    /**
     * 修改客户级别
     * @param param 参数
     * @return 受影响行数
     */
    int editCustomerLevel(CrmCustomerLevelParm param);

    /**
     * 根据ID查询
     * @param id id
     * @return CrmCustomerLevelVO
     */
    CrmCustomerLevelVO selectCrmCustomerLevelVOById(Long id);
}
