package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class CrmMyCustomerListQueryVO implements Serializable
{

    private Long customerUserId;


    /** 状态  1初次接洽 2意向购买 3已成交 4未成交 */
    private Integer status;

    /** 成交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dealTime;

    /** 认领开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 认领结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date limitTime;

    /** 放入公海时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date poolTime;

    /** 最新一次联系时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTime;

    private Long customerId;

    /** 组织机构代码 */
    private String customerCode;

    /** 客户名称 */
    private String customerName;

    /** 手机 */
    private String mobile;

    /** 性别 */
    private Integer sex;

    private String weixin;

    /** 关联用户ID */
    private Long userId;

    /** 省市区 */
    @Excel(name = "省市区")
    private String address;

    /** 定位信息 */
    @Excel(name = "定位信息")
    private String location;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 地理位置经度 */
    @Excel(name = "地理位置经度")
    private String lng;

    /** 地理位置维度 */
    @Excel(name = "地理位置维度")
    private String lat;

    /** 1 已认领 0未认领 */
    @Excel(name = "1 已认领 0未认领")
    private Long isReceive;

    /** 所属部门ID */
    @Excel(name = "所属部门ID")
    private Long deptId;

    /** 客户类型 */
    @Excel(name = "客户类型")
    private Integer customerType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Integer isPool;

    private Long companyId;

    private Integer source;

    private String tags;

    private String remark;

    private Integer visitStatus;


    private String registerDate;
    private String registerLinkUrl;
    private String registerDesc;
    private String registerSubmitTime;
    private String registerType;
    private String sourceCode;
    private String pushTime;
    private String pushCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date customerCreateTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveTime;

    private List<String> assistUser;
    private Long companyUserId;

    /** 客户级别 */
    private Long customerLevel;

}
