package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微主体对象 qw_company
 *
 * @author fs
 * @date 2024-10-09
 */
@Data
public class QwCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 企业CorpID */
    @Excel(name = "企业CorpID")
    private String corpId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String corpName;

    /** 服务商应用的Secret */
    private String openSecret;

    /** 服务商应用的企业id */
    private String openCorpId;

    /** 服务商应用serverAgentId */
    private String serverAgentId;

    /** 服务商通讯录企业id */
    private String serverBookCorpId;

    /** 服务商的通讯录Secret */
    private String serverBookSecret;

    /** Token */
    private String token;

    /** EncodingAESKey */
    private String encodingAesKey;

    /** 通用开发参数 */
    private String providerSecret;

    /** 域名地址 */
    private String realmNameUrl;

    /** 应用回调地接 */
    private String notifyUrl;

    /** 聊天工具栏跳转地址 */
    private String chatToolbar;

    /** 聊天工具栏实际运用地址 */
    private String chatToolbarOauth;

    /** 关联公司id */
    @Excel(name = "关联公司id")
    private String companyIds;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    private Integer isBuy;

    private Integer agentId;

    private String msgSecret;

    private String msgPrivateKey;

    /** 小程序ID */
    private String miniAppId;

    /** 小程序消息发送参数 */
    private String miniAppParam;
}
