package com.fs.store.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 期刊阅读对象 fs_home_article_view
 *
 * @author fs
 * @date 2025-05-21
 */
@Setter
@Getter
public class FsHomeArticleView extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum = 1;

    @TableField(exist = false)
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;

    /** ID */
    private Long viewId;

    /** 文章ID */
    @Excel(name = "文章ID")
    private Long articleId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    @TableField(exist = false)
    private String title;

    @TableField(exist = false)
    private String nickname;

    @TableField(exist = false)
    private String phone;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("viewId", getViewId())
            .append("articleId", getArticleId())
            .append("userId", getUserId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
