package com.fs.store.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("fs_store_order_audit")
public class FsStoreOrderAudit {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 公司ID
     */
    private Long companyId;
    /**
     * 销售ID
     */
    private Long companyUserId;
    /**
     * 审核状态 0:待销售审核 1:销售审核拒绝 2:待总后台审核 3:总后台审核拒绝 4:审核通过
     */
    private Integer auditStatus;
    /**
     * 销售审核时间
     */
    private LocalDateTime companyAuditTime;
    /**
     * 销售审核人ID
     */
    private Long companyAuditUserId;
    /**
     * 总后台审核时间
     */
    private LocalDateTime adminAuditTime;
    /**
     * 总后台审核人ID
     */
    private Long adminAuditUserId;
    /**
     * 拒绝原因
     */
    private String reason;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
