package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.store.domain.FsUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FSUserVO extends FsUser implements Serializable
{
    /** 消费总金额 */
    private BigDecimal totalAmount;

    /** 最后一次消费时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastBuyTime;

    /** 最后一次消费金额 */
    private Double number;

    /** 关联id */
    private String businessId;

    @ApiModelProperty(value = "看课数量")
    @Excel(name = "看课数量", sort = 8)
    private Long watchCourseCount;

    @ApiModelProperty(value = "参与营期数量")
    @Excel(name = "参与营期数量", sort = 9)
    private Long partCourseCount;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "最后看课时间")
    @Excel(name = "最后看课时间", dateFormat = "yyyy-MM-dd HH:mm:ss", sort = 11)
    private Date lastWatchDate;

    @ApiModelProperty(value = "销售名称")
    @Excel(name = "所属销售", sort = 10)
    private String companyUserNickName;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "会员注册时间", dateFormat = "yyyy-MM-dd HH:mm:ss" , sort = 6)
    private Date createTime;

    @Excel(name = "状态", sort = 7)
    private String statusName;

}
